Transfer

circle-info

To start using transfer please top-up your identification entity. Once you have identifiers on your digital entity you may distribute them between processing and customer entities.

API provides the following ways to work with payments:

Get transfer information

Create payment

Confirm transfer

Get transfers list

As a best practice please rely on the following transfer routes inside 1 Counterparty:

  • from identification to processing entity;

  • from bank processing entity to customer;

  • from customer to customer;

  • from processing to identification entity;

  • from customer to bank processing entity.

For external transfers (2 counterparties) the following transfer types are advised:

  • from your processing entity to a processing entity of another Counterparty;

  • from your customer counterparty to a customer of another Counterparty.

Get transfer information

Get payment

get

Get payments with filter

Path parameters
counterparty_guidstringRequired

Counterparty GUID

payment_guidstringRequired

Payment GUID

Query parameters
with_stellar_infobooleanOptional

Include stellar info

Responses
chevron-right
200

OK

application/json
amountnumberOptional
asset_codestringOptional
asset_issuerstringOptional
categorystringOptional
category_guidstringOptional
created_atstringOptional
deleted_atstringOptional
feenumberOptional
guidstringOptional
purposestringOptional
receiver_account_account_kindstringOptional
receiver_counterpartystringOptional
receiver_idstringOptional
sender_account_account_kindstringOptional
sender_counterpartystringOptional
sender_idstringOptional
statusstring Β· enumOptionalPossible values:
target_balancenumberOptional
updated_atstringOptional
get
/counterparty/{counterparty_guid}/payments/{payment_guid}
chevron-rightResponse examplehashtag
circle-check

Create transfer

The transfer is done with 2 steps: first, you need to create a draft record with "Create payment". When it is done a confirmation is required.

Create payment

circle-info

Precondition: the sender's digital entity should have a balance before creating a transfer.

Create payment

post

Create payment

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Body
amountnumberOptional

amount of tokens to transfer

asset_codestringOptional

asset code

asset_issuerstringOptional

address in Stellar that issues tokens

category_guidstringOptional

payment category

purposestringOptional
receiver_ibanstringOptional

IBAN of receiver account

receiver_idstringOptional

guid of receiver account

sender_ibanstringOptional

IBAN of sender account

sender_idstringOptional

guid of sender account

target_balancenumberOptional

account balance after operation

Responses
chevron-right
200

OK

application/json
guidstringOptional
post
/counterparty/{counterparty_guid}/payments

Confirm transfer

After creating a transfer you should confirm the transfer.

Before the confirmation be sure that the transfer is already created, the corresponding transfer guid should be used in the request body.

bank_guid is mandatory only for a transfer to another counterparty.

Confirm Payment

post

Confirm payment

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Body
bank_guidstringOptional

Counterparty's GUID (receiver's bank). If it is not provided, the payment will be considered an internal transfer.

guidstringOptional

Payment's GUID

Responses
chevron-right
200

OK

application/json
objectOptional
post
/counterparty/{counterparty_guid}/payments/confirm

Get transfers list

If you want to get payment list you should make the following request.

Get payments list

get

Get payments list with filter

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Query parameters
receiver_counterpartystringOptional

Receiver counterparty GUID

sender_counterpartystringOptional

Sender counterparty GUID

guidsstring[]Optional

Payment GUIDs

sender_idsstring[]Optional

Payment sender ids

receiver_idsstring[]Optional

Payment receiver ids

external_idstringOptional

External transaction id

min_amountintegerOptional

Minimal amount

max_amountintegerOptional

Maximum amount

statusesstring[]Optional

Payment statuses

asset_issuersstring[]Optional

Asset issuers

asset_codesstring[]Optional

Asset codes

min_created_atstringOptional

ISO date

max_created_atstringOptional

ISO date

min_updated_atstringOptional

ISO date

max_updated_atstringOptional

ISO date

category_guidstringOptional

Category's guid

orderstring Β· enumOptional

sorting order

Possible values:
offsetintegerOptional

offset

limitintegerOptional

limit

Responses
chevron-right
200

OK

application/json
totalintegerOptional
get
/counterparty/{counterparty_guid}/payments

Last updated